.map-screen-wrap {
    position: absolute; left: 40%; bottom: 0;    
    width: 20%; height: 30px;    
    /* margin-left: -160px; */
}

.map-screen {
    position: absolute; bottom: 0;z-index: 1;
    width: 100%;     
    height: 230px; 
}
@media only screen and (max-width: 500px) {
    .map-screen-wrap { 
        width: calc(100% - 120px);
        left: 60px;
        margin-left: 0;
    }
}


.map-screen-body {
    position: relative;
    background-color: black;
    /*height: 80%;*/   
    width: 100%;
     height: 150px;
    /* aspect-ratio: 16/9; */
    border: 3px solid #606060;
}

@media only screen and (max-width: 500px) {
    .map-screen-body { 
        width: 100%; 
        aspect-ratio: 16/9; 
        height: auto;
    }
}

.map-screen-content {
    background-color: black;
    width: 100%;
    height: 100%;
    color: white;font-size: 0.6em;
    position: absolute;
}

.map-screen-footer {
    position: relative;
    /*height: 20%;*/
    height: 80px;
    width: 100%;
}

@media only screen and (max-width: 500px) {
    /*.tf-map-screen-body {
        height: 70%;
    }

    .tf-map-screen-footer {
        height: 30%;

    } */
}

.map-screen-footer-col {
    position: absolute;
    top: -2px;
    height: calc(100% + 10px);
    width: 10px;
    background-color: #404040;
    border: 2px solid #606060;
}

.map-screen-footer-col-left {
    left: 5%;
}

.map-screen-footer-col-right {
    right: 5%;
}
.map-screen-footer .base{
    width:26px; 
    height:14px; background-color:#404040; 
    position:absolute; bottom:0; left:-9px; 
    border-radius: 8px 8px 0 0;
}

.map-screen-control-wrap {
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 2;
    height: 30px;
    width: 100%;
    background-color: black;
    border-radius: 15px;
    border: 1px solid #606060;
}

.map-screen-control-content {
    height: 100%;
}

.map-screen-control-icon-wrap {
    height: 100%;
}

.map-screen-control-icon-wrap > .btn {
    height: 100%;
    padding-top: 0 !important;
    padding-bottom: 0 !important;
    background: none !important;
    border: none !important;
    color: grey !important;
}

.tf-map-screen-control-icon-font {
    font-size: 12px !important;
}

.map-screen-control-icon .play-font-icon {
    font-size: 2rem !important;
}
.map-screen-content-object{
    width: 100%;height: 100%;
}

.map-screen-content-object-menu{
    position: absolute; z-index: 1; top: 0; right: 0; width: 100%; height: 100%;
    display: none;
}
.map-screen-content-object:hover .map-screen-content-object-menu {
    display: inline-block;
}
.map-screen-content-object-menu > .screen-content-background{
    position: absolute; z-index: 1; width: 100%; height: 100%; background-color: black; opacity: 0.8;
}
.map-screen-turn-off{     
    position: absolute; 
    top: -25px; 
    right: 0; 
    z-index: 5; 
    height: 20px;
    width: 30px; 
    padding: 2px 0 0 2px;
    border: none;
    background: none;
    /* cursor: pointer; */
}
.map-screen-turn-off .font-icon{   
    color: red;  
    font-size: 2rem;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
}